PipeWire 1.4.10

Loading...
Searching...
No Matches
pw_module_info Struct Reference
Core API » Module

The module information. More...

`#include <pipewire/module.h>`

## Data Fields
uint32_t | id
| id of the global
const char * | filename
| filename of the module
const char * | args
| arguments passed to the module
uint64_t | change_mask
| bitfield of changed fields since last call

## Detailed Description

The module information.

Extra information can be added in later versions

## Field Documentation

## ◆ id

uint32_t pw_module_info::id

id of the global

## ◆ filename

const char* pw_module_info::filename

filename of the module

## ◆ args

const char* pw_module_info::args

arguments passed to the module

## ◆ change_mask

uint64_t pw_module_info::change_mask

bitfield of changed fields since last call

The documentation for this struct was generated from the following file:

- pipewire/module.h